## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreValidationDecoratorProvider.StatusDecorator

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.services.decorator.AbstractDecorator
          org.eclipse.emf.ecoretools.diagram.providers.EcoreValidationDecoratorProvider.StatusDecorator

All Implemented Interfaces:
  org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecorator

Enclosing class:
  EcoreValidationDecoratorProvider

    public static class EcoreValidationDecoratorProvider.StatusDecorator

extends org.eclipse.gmf.runtime.diagram.ui.services.decorator.AbstractDecorator

Constructor Summary
`EcoreValidationDecoratorProvider.StatusDecorator(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)`

Method Summary
`void` `activate()`
`void` `deactivate()`
`void` `refresh()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.services.decorator.AbstractDecorator
`getDecoration, getDecoratorTarget, removeDecoration, setDecoration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreValidationDecoratorProvider.StatusDecorator

    public EcoreValidationDecoratorProvider.StatusDecorator(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)

Method Detail

### refresh

    public void refresh()

### activate

    public void activate()

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecorator`
  Overrides:
    `deactivate` in class `org.eclipse.gmf.runtime.diagram.ui.services.decorator.AbstractDecorator`

Copyright 2007 Anyware Technologies. All Rights Reserved.